# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++ pkgconfig(QtCore) pkgconfig(QtGui)
# END SourceDeps(oneline)
Summary:          An arpeggiator, sequencer and MIDI LFO for ALSA
Name:             qmidiarp
Version:          0.5.1
Release:          alt1_2
License:          GPLv2+
Group:            Sound
URL:              http://sourceforge.net/projects/qmidiarp
Source0:          http://downloads.sourceforge.net/qmidiarp/files/%{name}-%{version}.tar.bz2
BuildRequires:    desktop-file-utils
BuildRequires:    libalsa-devel
BuildRequires:    qt4-devel
BuildRequires:    libjack-devel
Requires:         icon-theme-hicolor
Requires(post):   desktop-file-utils
Requires(postun): desktop-file-utils
Source44: import.info

%description
QMidiArp is a MIDI phrase generator and controller LFO for the ALSA sequencer. 
It can run multiple synchronized arpeggiators, LFOs and step sequencers. 
QMidiArp has been growing since June 2009 on top of Matthias Nagorni's original 
arp idea.  

%prep

%setup -q 

# Fix encoding issues
for file in ChangeLog AUTHORS README COPYING NEWS; do
   sed 's|\r||' $file > $file.tmp
   iconv -f ISO-8859-1 -t UTF8 $file.tmp > $file.tmp2
   touch -r $file $file.tmp2
   mv -f $file.tmp2 $file
done

%build
%configure 
make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install

%files 
%doc AUTHORS ChangeLog COPYING README NEWS
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{_mandir}/de/man1/%{name}.1.*
%{_mandir}/fr/man1/%{name}.1.*
%{_mandir}/man1/%{name}.1.*

%changelog
* Wed May 01 2013 Igor Vlasenko <viy@altlinux.ru> 0.5.1-alt1_2
- initial fc import

